scala.tools.reflect

# FormatInterpolator

#### abstract class FormatInterpolator extends AnyRef

Source
  FormatInterpolator.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. FormatInterpolator
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new FormatInterpolator()

### Type Members

1. #### class CharacterXn extends Conversion

2. #### sealed trait Conversion extends AnyRef

   A conversion specifier matched by `m` in the string part at `pos`, with `argc` arguments to interpolate.

3. #### class DateTimeXn extends Conversion

4. #### class ErrorXn extends Conversion

5. #### class FloatingPointXn extends Conversion

6. #### class GeneralXn extends Conversion

7. #### class IntegralXn extends Conversion

8. #### class LiteralXn extends Conversion

### Abstract Value Members

1. #### abstract val c: Context

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from FormatInterpolator to any2stringadd[FormatInterpolator] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (FormatInterpolator, B)

   Implicit information
     This member is added by an implicit conversion from FormatInterpolator to ArrowAssoc[FormatInterpolator] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### object Conversion

7. #### object SpecifierGroups extends Enumeration

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### def ensuring(cond: (FormatInterpolator) ⇒ Boolean, msg: ⇒ Any): FormatInterpolator

    Implicit information
      This member is added by an implicit conversion from FormatInterpolator to Ensuring[FormatInterpolator] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: (FormatInterpolator) ⇒ Boolean): FormatInterpolator

    Implicit information
      This member is added by an implicit conversion from FormatInterpolator to Ensuring[FormatInterpolator] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean, msg: ⇒ Any): FormatInterpolator

    Implicit information
      This member is added by an implicit conversion from FormatInterpolator to Ensuring[FormatInterpolator] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean): FormatInterpolator

    Implicit information
      This member is added by an implicit conversion from FormatInterpolator to Ensuring[FormatInterpolator] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

16. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

17. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from FormatInterpolator to StringFormat[FormatInterpolator] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

18. #### val fpat: Regex

19. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

20. #### val global: universe.type

21. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

22. #### def interpolate: nsc.Global.Tree

23. #### def interpolated(parts: List[nsc.Global.Tree], args: List[nsc.Global.Tree]): nsc.Global.TermTree with Serializable

    Every part except the first must begin with a conversion for the arg that preceded it.

    Every part except the first must begin with a conversion for the arg that preceded it. If the conversion is missing, "%s" is inserted.

    In any other position, the only permissible conversions are the literals (%% and %n) or an index reference (%1$ or %<).

    A conversion specifier has the form:

    [index$][flags][width][.precision]conversion

    1) "...${smth}" => okay, equivalent to "...${smth}%s" 2) "...${smth}blahblah" => okay, equivalent to "...${smth}%sblahblah" 3) "...${smth}%" => error 4) "...${smth}%n" => okay, equivalent to "...${smth}%s%n" 5) "...${smth}%%" => okay, equivalent to "...${smth}%s%%" 6) "...${smth}[%legalJavaConversion]" => okay* 7) "...${smth}[%illegalJavaConversion]" => error *Legal according to http://docs.oracle.com/javase/1.5.0/docs/api/java/util/Formatter.html

24. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

25. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

26. #### final def notify(): Unit

    Definition Classes
      AnyRef

27. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

28. #### val stdContextTags: StdContextTags { val tc: FormatInterpolator.this.c.type }

29. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

30. #### val tagOfFormattable: nsc.Global.TypeTag[Formattable]

31. #### def toString(): String

    Definition Classes
      AnyRef → Any

32. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### def →[B](y: B): (FormatInterpolator, B)

    Implicit information
      This member is added by an implicit conversion from FormatInterpolator to ArrowAssoc[FormatInterpolator] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from FormatInterpolator to any2stringadd[FormatInterpolator]

### Inherited by implicit conversion StringFormat from FormatInterpolator to StringFormat[FormatInterpolator]

### Inherited by implicit conversion Ensuring from FormatInterpolator to Ensuring[FormatInterpolator]

### Inherited by implicit conversion ArrowAssoc from FormatInterpolator to ArrowAssoc[FormatInterpolator]

### Ungrouped